import {Component, OnInit} from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { ButtonModule } from 'primeng/button';
import {PaginatorModule} from "primeng/paginator";
import { InputTextModule } from 'primeng/inputtext';
import { DropdownModule } from 'primeng/dropdown';
import {SelectItem} from "primeng/api";

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [RouterOutlet, ButtonModule, PaginatorModule, InputTextModule, DropdownModule],
  templateUrl: './app.component.html',
  styleUrl: './app.component.css'
})
export class AppComponent implements OnInit {
  selectedOption: SelectItem | undefined;
  options:SelectItem[];

  constructor() {
    this.options = [
      { label: "GET", value: "GET" },
      { label: "POST", value: "POST" },
      { label: "PUT", value: "PUT" },
      { label: "DELETE", value: "DELETE" },
      { label: "HEAD", value: "HEAD" },
      { label: "CONNECT", value: "CONNECT" },
      { label: "OPTIONS", value: "OPTIONS" },
      { label: "TRACE", value: "TRACE" },
      { label: "PATCH", value: "PATCH" }
    ];
  }
  ngOnInit() {}
}
